Public Member Functions | Public Attributes | List of all members
libzmf::Table Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Table ()

## Public Attributes
std::vector< Row > | rows
std::vector< Column > | columns
double | width
double | height
Point | topLeftPoint

## Constructor & Destructor Documentation

## ◆ Table()

libzmf::Table::Table | ( |  | ) |
| inline

## Member Data Documentation

## ◆ columns

std::vector<Column> libzmf::Table::columns

Referenced by libzmf::ZMFCollector::collectTable(), and libzmf::ZMF4Parser::readTable().

## ◆ height

double libzmf::Table::height

Referenced by libzmf::ZMFCollector::collectTable(), and libzmf::ZMF4Parser::readTable().

## ◆ rows

std::vector<Row> libzmf::Table::rows

Referenced by libzmf::ZMFCollector::collectTable(), and libzmf::ZMF4Parser::readTable().

## ◆ topLeftPoint

Point libzmf::Table::topLeftPoint

Referenced by libzmf::ZMFCollector::collectTable(), and libzmf::ZMF4Parser::readTable().

## ◆ width

double libzmf::Table::width

Referenced by libzmf::ZMFCollector::collectTable(), and libzmf::ZMF4Parser::readTable().

The documentation for this struct was generated from the following file:

- ZMFTypes.h